package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Test;

public class CreditCardTest {
@Test
    public void getShortDescriptionTest()
    {
        //GIVEN
        CreditCard person = new CreditCard();
        person.setPayerName("Jacob Andersen");
        person.setNumber("134344551");
        person.setExpiredMonth(10);
        person.setExpiredYear(2019);
        //WHEN
        person.getShortDescription();

        //THEN
        String expected = "CC Jacob Andersen 4551 10/2019";
        String actual = person.getShortDescription();

        Assert.assertEquals(expected,actual);

        }
}
